/*
 * Copyright (C) 2010 Dimitry Ernot <dimitry.ernot@gmail.com>
 *
 * This file ./boutons.h and program is part of Ktopsy.
 *
 * Ktopsy is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 *
 * Ktopsy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Ktopsy.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef BOUTONS_H
#define BOUTONS_H

#include <QPushButton>
#include <QFrame>
#include <QHBoxLayout>
#include <QMenu>
class Boutons : public QFrame{
private:
  QWidget* w;
  QPushButton* aL; // bouton analyse lexicale
  QPushButton* aS; // bouton analyse syntaxique
  QPushButton* reset; // bouton pour reseter le Etape par Etape
  QPushButton* execution; // bouton pour executer en un coup
  QPushButton* pap; // bouton pour executer pas a pas
  QPushButton* stop; // arreter l'execution en cours

public:
  Boutons(QWidget*);
  ~Boutons();
  void activer(std::string);
  void desactiver(std::string);
  void progresserAS();
public slots:
};

#endif // BOUTONS_H
