/*
 * Copyright (C) 2010 Dimitry Ernot <dimitry.ernot@gmail.com>
 *
 * This file ./liste.h and program is part of Ktopsy.
 *
 * Ktopsy is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 *
 * Ktopsy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Ktopsy.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef LISTE_H
#define LISTE_H

#include <QListView>
#include <QStandardItemModel>
class Liste : public QListView{
private:
  QStandardItemModel* modele;
public:
  Liste(QWidget*);
  ~Liste();
  void remplir(std::string);
  void remplir(std::string, int);
  void clear();
  void findLexeme();
};

#endif // LISTE_H
