/*
 * Copyright (C) 2010 Dimitry Ernot <dimitry.ernot@gmail.com>
 *
 * This file ./progcible.h and program is part of Ktopsy.
 *
 * Ktopsy is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 *
 * Ktopsy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Ktopsy.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef PROGCIBLE_H
#define PROGCIBLE_H

#include <QGraphicsView>
#include <QGraphicsSimpleTextItem>

class ProgCible : public QGraphicsView{
  Q_OBJECT
private:
  QGraphicsScene* scene;
  int cx,cy,l,h,nbElem;
  int offset;
  int offsetG;
  QGraphicsSimpleTextItem* co;
public:
  ProgCible(QWidget*);
  ~ProgCible();
  void modifier(int,std::string);
  void ajouter(std::string);
  void tracerFleche(int,int);
  void tracerFlecheG(int,int);
  void tracerVague(int);
  void clearLigne(int);
  void removeContenu(int);
  void removeFleche(int);
  void removeFlecheG(int);
  void clearLigne();
  void clear();
  void bougerCo(int);
};

#endif // PROGCIBLE_H
